function vrep = obtainSphere(n)
% Obtain the V-representation of an approximized two-dimensional sphere 
%
% This is a subfunction used by obtainVrep. Use obtainVrep instead.
%
% See also: obtainVRep, obtainHRep

% The elk-library: convex geometry applied to crystallization modeling.
%   Copyright (C) 2012 Alexander Reinhold
%
% This program is free software: you can redistribute it and/or modify it 
%   under the terms of the GNU General Public License as published by the 
%   Free Software Foundation, either version 3 of the License, or (at your 
%   option) any later version.
%
% This program is distributed in the hope that it will be useful, but 
%   WITHOUT ANY WARRANTY; without even the implied warranty of 
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
%   General Public License for more details.
%
% You should have received a copy of the GNU General Public License along 
%   with this program.  If not, see <http://www.gnu.org/licenses/>.

phi = 0:(pi/n):(pi-pi/n/2);
theta = 0:(pi/n):(2*pi-pi/n/2);

phi = ones(2*n,1)*phi;
theta = theta'*ones(1,n);

X = sin(theta).*cos(phi);
Y = sin(theta).*sin(phi);
Z = cos(theta);

vrep.V(:,1) = X(:);
vrep.V(:,2) = Y(:);
vrep.V(:,3) = Z(:);
